libebook Namespace Reference documentation

libebook Namespace Reference

## Namespaces
namespace | libebook
namespace | EBOOKHTMLToken
namespace | EBOOKOPFToken
namespace | EPubToken
namespace | FictionBook2Token
namespace | FictionBook3Token
namespace | RocketEBookToken

## Classes
class | BBeBCollector
class | BBeBMetadataParser
struct | BBeBHeader
class | BBeBParser
struct | BBeBBookInfo
struct | BBeBDocInfo
struct | BBeBMetadata
struct | BBeBColor
struct | BBeBEmptyLine
struct | BBeBAttributes
class | EBOOKBitStream
class | EBOOKCharsetConverter
class | EBOOKHTMLParser
struct | EBOOKHTMLMetadata
class | EBOOKLanguageManager
class | EBOOKMemoryStream
class | EBOOKOPFParser
class | EBOOKOutputElement
class | EBOOKOutputElements
class | EBOOKSAXParser
| Base class for simple SAX-like XML parser. More...
class | EBOOKStreamView
| A stream representing a view into an another stream. More...
class | EBOOKSubDocument
struct | EBOOKToken
struct | EBOOKToken< EBOOKHTMLParser >
struct | EBOOKToken< EBOOKOPFParser >
struct | EBOOKToken< EPubParser >
struct | EBOOKToken< FictionBook2Parser >
struct | EBOOKToken< RocketEBookParser >
struct | EBOOKToken< FictionBook3Parser >
class | EBOOKTokenizer
class | EBOOKUTF8Stream
class | EBOOKXMLContext
class | EBOOKXMLElementContextBase
class | EBOOKXMLTextContextBase
class | EBOOKXMLMixedContextBase
class | EBOOKXMLEmptyContextBase
class | EBOOKXMLParser
class | EBOOKZlibStream
class | EPubParser
class | FictionBook2BinaryContext
class | FictionBook2BodyContext
class | FictionBook2CiteContext
class | FictionBook2EmptyLineContext
class | FictionBook2EpigraphContext
class | FictionBook2ImageContext
class | FictionBook2PoemContext
class | FictionBook2SectionContext
class | FictionBook2StanzaContext
class | FictionBook2TitleContext
class | FictionBook2Collector
class | FictionBook2ContentCollector
class | FictionBook2ExtrasCollector
class | FictionBook2MetadataCollector
class | FictionBook2Authors
class | FictionBook2AnnotationContext
class | FictionBook2AuthorContext
class | FictionBook2BookNameContext
class | FictionBook2BookTitleContext
class | FictionBook2CityContext
class | FictionBook2CoverpageContext
class | FictionBook2CustomInfoContext
class | FictionBook2DateContext
class | FictionBook2DescriptionContext
class | FictionBook2TextInfoContext
class | FictionBook2EmailContext
class | FictionBook2FirstNameContext
class | FictionBook2GenreContext
class | FictionBook2HistoryContext
class | FictionBook2HomePageContext
class | FictionBook2IdContext
class | FictionBook2IsbnContext
class | FictionBook2KeywordsContext
class | FictionBook2LangContext
class | FictionBook2LastNameContext
class | FictionBook2MiddleNameContext
class | FictionBook2NicknameContext
class | FictionBook2OutputContext
class | FictionBook2OutputDocumentClassContext
class | FictionBook2PartContext
class | FictionBook2ProgramUsedContext
class | FictionBook2PublisherContext
class | FictionBook2PublishInfoContext
class | FictionBook2SequenceContext
class | FictionBook2SrcLangContext
class | FictionBook2SrcOcrContext
class | FictionBook2SrcTitleInfoContext
class | FictionBook2SrcUrlContext
class | FictionBook2TitleInfoContext
class | FictionBook2TranslatorContext
class | FictionBook2VersionContext
class | FictionBook2YearContext
class | FictionBook2Parser
class | FictionBook2ParserContext
| Base class for all contexts. More...
class | FictionBook2NodeContextBase
| Base class for non-leaf element contexts. More...
class | FictionBook2DataContextBase
| Base class for leaf data element contexts. More...
class | FictionBook2TextContextBase
| Base class for leaf textual element contexts. More...
class | FictionBook2SkipElementContext
| Context for skipping element hierarchies. More...
class | FictionBook2StyleContextBase
class | FictionBook2BlockFormatContextBase
struct | FictionBook2TextFormat
struct | FictionBook2BlockFormat
class | FictionBook2Style
class | FictionBook2TableModel
class | FictionBook2TableContext
class | FictionBook2CellContext
class | FictionBook2TrContext
class | FictionBook2ParaContextBase
class | FictionBook2AContext
class | FictionBook2CodeContext
class | FictionBook2EmphasisContext
class | FictionBook2InlineImageContext
class | FictionBook2PContext
class | FictionBook2StrikethroughContext
class | FictionBook2StrongContext
class | FictionBook2StyleContext
class | FictionBook2SubContext
class | FictionBook2SubtitleContext
class | FictionBook2SupContext
class | FictionBook2TextAuthorContext
class | FictionBook2VContext
struct | FictionBook2TokenData
class | FictionBook2XMLParserContext
class | FictionBook3Parser
class | HTMLHelpParser
class | HTMLHelpStream
class | HTMLParser
struct | EBOOKDummyDeleter
class | EndOfStreamException
class | GenericException
class | FileAccessError
class | PackageError
class | ParseError
class | PasswordMismatch
class | UnsupportedEncryption
class | UnsupportedFormat
class | LITParser
class | LITStream
class | MobiPocketParser
class | OpenEBookParser
class | PalmDocParser
class | PDBLZ77Stream
struct | PDBParserImpl
class | PDBParser
struct | PeanutPressHeader
struct | PeanutPressTextParserState
class | PeanutPressParser
struct | PeanutPressAttributes
struct | PluckerHeader
struct | PluckerParserState
struct | PluckerRecordHeader
class | PluckerParser
class | QiOOParser
class | RocketEBookHeader
class | RocketEBookParser
class | RocketEBookStream
class | SoftBookCollector
class | SoftBookHeader
class | SoftBookLZSSStream
class | SoftBookParser
class | SoftBookResourceDirImpl
class | SoftBookResourceDir
| Read the resource tree and provide access to it as an OLE stream. More...
class | SoftBookText
struct | SoftBookMetadata
class | TCRParser
class | TealDocTextParser
class | TealDocParser
class | XMLCollector
class | XMLStylesheet
struct | XMLTreeNode
class | XMLTreeWalker
class | ZTXTParser
class | ZVRParser

## Typedefs
typedef std::map< unsigned, BBeBAttributes > | BBeBAttributeMap_t
typedef std::shared_ptr< hubbub_parser > | HUBBUBParserPtr_t
typedef std::shared_ptr< css_stylesheet > | CSSStylesheetPtr_t
typedef std::shared_ptr< css_select_ctx > | CSSSelectCtxPtr_t
typedef std::shared_ptr< css_select_results > | CSSSelectResultsPtr_t
typedef boost::intrusive_ptr< lwc_string > | LWCStringPtr_t
typedef std::shared_ptr< librevenge::RVNGInputStream > | RVNGInputStreamPtr_t
typedef std::map< unsigned, std::vector< unsigned char > > | PluckerImageMap_t
typedef std::deque< XMLStylesheet > | XMLStylesheets_t
typedef boost::intrusive_ptr< XMLTreeNode > | XMLTreeNodePtr_t

## Enumerations
enum | BBeBImageType { BBEB_IMAGE_TYPE_UNKNOWN = 0 , BBEB_IMAGE_TYPE_JPEG = 0x11 , BBEB_IMAGE_TYPE_PNG = 0x12 , BBEB_IMAGE_TYPE_BMP = 0x13 , BBEB_IMAGE_TYPE_GIF = 0x14 }
enum | BBeBEmptyLinePosition { BBEB_EMPTY_LINE_POSITION_UNKNOWN , BBEB_EMPTY_LINE_POSITION_BEFORE , BBEB_EMPTY_LINE_POSITION_AFTER }
enum | BBeBEmptyLineMode { BBEB_EMPTY_LINE_MODE_NONE , BBEB_EMPTY_LINE_MODE_SOLID , BBEB_EMPTY_LINE_MODE_DASHED , BBEB_EMPTY_LINE_MODE_DOUBLE , BBEB_EMPTY_LINE_MODE_DOTTED }
enum | BBeBAlign { BBEB_ALIGN_START , BBEB_ALIGN_END , BBEB_ALIGN_CENTER }
enum | PeanutPressFontType { PEANUTPRESS_FONT_TYPE_NORMAL , PEANUTPRESS_FONT_TYPE_STD , PEANUTPRESS_FONT_TYPE_BOLD , PEANUTPRESS_FONT_TYPE_LARGE }
enum | SoftBookColorMode { SOFTBOOK_COLOR_MODE_UNKNOWN , SOFTBOOK_COLOR_MODE_COLOR , SOFTBOOK_COLOR_MODE_GRAYSCALE }

## Functions
int | getHTMLTokenId (const char *const name, const char *const ns)
int | getHTMLTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | getHTMLTokenId (const char *const name, const std::size_t nameLen)
int | getOPFTokenId (const char *const name, const char *const ns)
int | getOPFTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | getOPFTokenId (const char *const name, const std::size_t nameLen)
int | getEPubTokenId (const char *const name, const char *const ns)
int | getEPubTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | getEPubTokenId (const char *const name, const std::size_t nameLen)
librevenge::RVNGPropertyList | makePropertyList (const FictionBook2Style &style)
librevenge::RVNGPropertyList | makePropertyList (const FictionBook2TextFormat &format, const FictionBook2BlockFormat &blockFormat)
librevenge::RVNGPropertyList | makePropertyList (const FictionBook2BlockFormat &format)
const FictionBook2TokenData * | getFictionBook2Token (const char *const str, const unsigned length)
const FictionBook2TokenData * | getFictionBook2Token (const char *const str)
const FictionBook2TokenData * | getFictionBook2Token (const unsigned char *const str)
int | getFictionBook2TokenID (const FictionBook2TokenData &token)
int | getFictionBook2TokenID (const FictionBook2TokenData *const token)
int | getFictionBook2TokenID (const char *str, const unsigned length)
int | getFictionBook2TokenID (const char *str)
int | getFictionBook2TokenID (const unsigned char *str)
const char * | getFictionBook2TokenName (const FictionBook2TokenData &token)
const char * | getFictionBook2TokenName (const FictionBook2TokenData *const token)
const char * | getFictionBook2TokenName (const char *str, const unsigned length)
const char * | getFictionBook2TokenName (const char *str)
const char * | getFictionBook2TokenName (const unsigned char *str)
HUBBUBParserPtr_t | wrap (hubbub_parser *const p)
CSSStylesheetPtr_t | wrap (css_stylesheet *const p)
CSSSelectCtxPtr_t | wrap (css_select_ctx *const p)
CSSSelectResultsPtr_t | wrap (css_select_results *const p)
LWCStringPtr_t | wrap (lwc_string *const p)
uint8_t | readU8 (librevenge::RVNGInputStream *input, bool)
uint16_t | readU16 (librevenge::RVNGInputStream *input, bool bigEndian)
uint32_t | readU32 (librevenge::RVNGInputStream *input, bool bigEndian)
uint64_t | readU64 (librevenge::RVNGInputStream *input, bool bigEndian)
const unsigned char * | readNBytes (librevenge::RVNGInputStream *const input, const unsigned long numBytes)
string | readCString (librevenge::RVNGInputStream *input)
string | readPascalString (librevenge::RVNGInputStream *input)
void | skip (librevenge::RVNGInputStream *input, unsigned long numBytes)
void | seek (librevenge::RVNGInputStream *const input, const unsigned long pos)
void | seekRelative (librevenge::RVNGInputStream *const input, const long pos)
unsigned long | getRemainingLength (librevenge::RVNGInputStream *const input)
uint8_t | readU8 (const std::shared_ptr< librevenge::RVNGInputStream > input, bool)
uint16_t | readU16 (const std::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
uint32_t | readU32 (const std::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
uint64_t | readU64 (const std::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
const unsigned char * | readNBytes (const std::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long numBytes)
std::string | readCString (const std::shared_ptr< librevenge::RVNGInputStream > input)
std::string | readPascalString (const std::shared_ptr< librevenge::RVNGInputStream > input)
void | skip (const std::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long numBytes)
void | seek (const std::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long pos)
void | seekRelative (const std::shared_ptr< librevenge::RVNGInputStream > input, const long pos)
unsigned long | getRemainingLength (const std::shared_ptr< librevenge::RVNGInputStream > input)
bool | findSubStreamByExt (const RVNGInputStreamPtr_t &input, const std::string &ext, unsigned &id)
librevenge::RVNGPropertyList | getDefaultPageSpanPropList ()
std::unique_ptr< xmlTextReader, void(*)(xmlTextReaderPtr)> | makeXmlReader (librevenge::RVNGInputStream *input)
const char * | char_cast (const char *const c)
const char * | char_cast (const signed char *const c)
const char * | char_cast (const unsigned char *const c)
const char ** | char_array_cast (const char **const c)
const char ** | char_array_cast (const signed char **const c)
const char ** | char_array_cast (const unsigned char **const c)
int | getRocketEBookTokenId (const char *const name, const char *const ns)
int | getRocketEBookTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | getRocketEBookTokenId (const char *const name, const std::size_t nameLen)
bool | operator== (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | operator!= (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | caselessEqual (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | operator== (const XMLTreeNode::AttributeData &lhs, const XMLTreeNode::AttributeData &rhs)
bool | operator!= (const XMLTreeNode::AttributeData &lhs, const XMLTreeNode::AttributeData &rhs)
bool | operator== (const XMLTreeNode::ElementData &lhs, const XMLTreeNode::ElementData &rhs)
bool | operator!= (const XMLTreeNode::ElementData &lhs, const XMLTreeNode::ElementData &rhs)
void | intrusive_ptr_add_ref (XMLTreeNode *const p)
void | intrusive_ptr_release (XMLTreeNode *const p)
bool | operator!= (const XMLTreeWalker::Attribute &lhs, const XMLTreeWalker::Attribute &rhs)
bool | operator!= (const XMLTreeWalker::AttributeIterator &lhs, const XMLTreeWalker::AttributeIterator &rhs)
bool | operator!= (const XMLTreeWalker::Iterator &lhs, const XMLTreeWalker::Iterator &rhs)

## Variables
static const unsigned | PALMDOC_TYPE = PDB_CODE("TEXt")
static const unsigned | PALMDOC_CREATOR = PDB_CODE("REAd")
static const uint32_t | ZTXT_TYPE = PDB_CODE("zTXT")
static const uint32_t | ZTXT_CREATOR = PDB_CODE("GPlm")

## Typedef Documentation

## ◆ BBeBAttributeMap_t

typedef std::map<unsigned, BBeBAttributes> libebook::BBeBAttributeMap_t

## ◆ CSSSelectCtxPtr_t

typedef std::shared_ptr<css_select_ctx> libebook::CSSSelectCtxPtr_t

## ◆ CSSSelectResultsPtr_t

typedef std::shared_ptr<css_select_results> libebook::CSSSelectResultsPtr_t

## ◆ CSSStylesheetPtr_t

typedef std::shared_ptr<css_stylesheet> libebook::CSSStylesheetPtr_t

## ◆ HUBBUBParserPtr_t

typedef std::shared_ptr<hubbub_parser> libebook::HUBBUBParserPtr_t

## ◆ LWCStringPtr_t

typedef boost::intrusive_ptr<lwc_string> libebook::LWCStringPtr_t

## ◆ PluckerImageMap_t

typedef std::map<unsigned, std::vector<unsigned char> > libebook::PluckerImageMap_t

## ◆ RVNGInputStreamPtr_t

typedef std::shared_ptr<librevenge::RVNGInputStream> libebook::RVNGInputStreamPtr_t

## ◆ XMLStylesheets_t

typedef std::deque<XMLStylesheet> libebook::XMLStylesheets_t

## ◆ XMLTreeNodePtr_t

typedef boost::intrusive_ptr<XMLTreeNode> libebook::XMLTreeNodePtr_t

## Enumeration Type Documentation

## ◆ BBeBAlign

enum libebook::BBeBAlign

Enumerator
BBEB_ALIGN_START |
BBEB_ALIGN_END |
BBEB_ALIGN_CENTER |

## ◆ BBeBEmptyLineMode

enum libebook::BBeBEmptyLineMode

Enumerator
BBEB_EMPTY_LINE_MODE_NONE |
BBEB_EMPTY_LINE_MODE_SOLID |
BBEB_EMPTY_LINE_MODE_DASHED |
BBEB_EMPTY_LINE_MODE_DOUBLE |
BBEB_EMPTY_LINE_MODE_DOTTED |

## ◆ BBeBEmptyLinePosition

enum libebook::BBeBEmptyLinePosition

Enumerator
BBEB_EMPTY_LINE_POSITION_UNKNOWN |
BBEB_EMPTY_LINE_POSITION_BEFORE |
BBEB_EMPTY_LINE_POSITION_AFTER |

## ◆ BBeBImageType

enum libebook::BBeBImageType

Enumerator
BBEB_IMAGE_TYPE_UNKNOWN |
BBEB_IMAGE_TYPE_JPEG |
BBEB_IMAGE_TYPE_PNG |
BBEB_IMAGE_TYPE_BMP |
BBEB_IMAGE_TYPE_GIF |

## ◆ PeanutPressFontType

enum libebook::PeanutPressFontType

Enumerator
PEANUTPRESS_FONT_TYPE_NORMAL |
PEANUTPRESS_FONT_TYPE_STD |
PEANUTPRESS_FONT_TYPE_BOLD |
PEANUTPRESS_FONT_TYPE_LARGE |

## ◆ SoftBookColorMode

enum libebook::SoftBookColorMode

Enumerator
SOFTBOOK_COLOR_MODE_UNKNOWN |
SOFTBOOK_COLOR_MODE_COLOR |
SOFTBOOK_COLOR_MODE_GRAYSCALE |

## Function Documentation

## ◆ caselessEqual()

bool libebook::caselessEqual | ( | const XMLTreeNode::QName & | lhs,
|  | const XMLTreeNode::QName & | rhs )

## ◆ char_array_cast() [1/3]

const char ** libebook::char_array_cast | ( | const char **const | c | ) |

## ◆ char_array_cast() [2/3]

const char ** libebook::char_array_cast | ( | const signed char **const | c | ) |

## ◆ char_array_cast() [3/3]

const char ** libebook::char_array_cast | ( | const unsigned char **const | c | ) |

## ◆ char_cast() [1/3]

const char * libebook::char_cast | ( | const char *const | c | ) |

Referenced by libebook::EBOOKXMLParser::parse(), libebook::RocketEBookHeader::readDirectory(), and libebook::XMLStylesheet::XMLStylesheet().

## ◆ char_cast() [2/3]

const char * libebook::char_cast | ( | const signed char *const | c | ) |

## ◆ char_cast() [3/3]

const char * libebook::char_cast | ( | const unsigned char *const | c | ) |

## ◆ findSubStreamByExt()

bool libebook::findSubStreamByExt | ( | const RVNGInputStreamPtr_t & | input,
|  | const std::string & | ext,
|  | unsigned & | id )

Referenced by libebook::EBOOKOPFParser::findOPFStream().

## ◆ getDefaultPageSpanPropList()

librevenge::RVNGPropertyList libebook::getDefaultPageSpanPropList | ( |  | ) |

Referenced by libebook::PalmDocParser::openDocument(), libebook::PeanutPressParser::openDocument(), libebook::TealDocParser::openDocument(), libebook::ZTXTParser::openDocument(), libebook::FictionBook2ContentCollector::openPageSpan(), libebook::EBOOKOPFParser::parse(), libebook::TCRParser::parse(), libebook::ZVRParser::parse(), and libebook::PluckerParser::readDataRecords().

## ◆ getEPubTokenId() [1/3]

int libebook::getEPubTokenId | ( | const char *const | name,
|  | const char *const | ns )

Referenced by getEPubTokenId(), and getEPubTokenId().

## ◆ getEPubTokenId() [2/3]

int libebook::getEPubTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen )

## ◆ getEPubTokenId() [3/3]

int libebook::getEPubTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen,
|  | const char *const | ns,
|  | const std::size_t | nsLen )

## ◆ getFictionBook2Token() [1/3]

const FictionBook2TokenData * libebook::getFictionBook2Token | ( | const char *const | str | ) |

## ◆ getFictionBook2Token() [2/3]

const FictionBook2TokenData * libebook::getFictionBook2Token | ( | const char *const | str,
|  | const unsigned | length )

Referenced by getFictionBook2Token(), getFictionBook2Token(), getFictionBook2TokenID(), and getFictionBook2TokenName().

## ◆ getFictionBook2Token() [3/3]

const FictionBook2TokenData * libebook::getFictionBook2Token | ( | const unsigned char *const | str | ) |

## ◆ getFictionBook2TokenID() [1/5]

int libebook::getFictionBook2TokenID | ( | const char * | str | ) |

## ◆ getFictionBook2TokenID() [2/5]

int libebook::getFictionBook2TokenID | ( | const char * | str,
|  | const unsigned | length )

## ◆ getFictionBook2TokenID() [3/5]

int libebook::getFictionBook2TokenID | ( | const FictionBook2TokenData & | token | ) |

Referenced by libebook::FictionBook2AContext::attribute(), libebook::FictionBook2AnnotationContext::attribute(), libebook::FictionBook2BinaryContext::attribute(), libebook::FictionBook2BodyContext::attribute(), libebook::FictionBook2BookNameContext::attribute(), libebook::FictionBook2CellContext::attribute(), libebook::FictionBook2CiteContext::attribute(), libebook::FictionBook2CityContext::attribute(), libebook::FictionBook2CoverpageContext::attribute(), libebook::FictionBook2CustomInfoContext::attribute(), libebook::FictionBook2DateContext::attribute(), libebook::FictionBook2EmailContext::attribute(), libebook::FictionBook2EpigraphContext::attribute(), libebook::FictionBook2GenreContext::attribute(), libebook::FictionBook2HistoryContext::attribute(), libebook::FictionBook2HomePageContext::attribute(), libebook::FictionBook2IdContext::attribute(), libebook::FictionBook2ImageContext::attribute(), libebook::FictionBook2InlineImageContext::attribute(), libebook::FictionBook2IsbnContext::attribute(), libebook::FictionBook2OutputContext::attribute(), libebook::FictionBook2OutputDocumentClassContext::attribute(), libebook::FictionBook2ParaContextBase::attribute(), libebook::FictionBook2PartContext::attribute(), libebook::FictionBook2PoemContext::attribute(), libebook::FictionBook2ProgramUsedContext::attribute(), libebook::FictionBook2SectionContext::attribute(), libebook::FictionBook2SequenceContext::attribute(), libebook::FictionBook2SrcLangContext::attribute(), libebook::FictionBook2SrcOcrContext::attribute(), libebook::FictionBook2SrcTitleInfoContext::attribute(), libebook::FictionBook2StanzaContext::attribute(), libebook::FictionBook2StyleContextBase::attribute(), libebook::FictionBook2TableContext::attribute(), libebook::FictionBook2TitleContext::attribute(), libebook::FictionBook2TranslatorContext::attribute(), libebook::FictionBook2TrContext::attribute(), libebook::FictionBook2YearContext::attribute(), libebook::FictionBook2AnnotationContext::element(), libebook::FictionBook2AuthorContext::element(), libebook::FictionBook2BodyContext::element(), libebook::FictionBook2BookNameContext::element(), libebook::FictionBook2CiteContext::element(), libebook::FictionBook2CityContext::element(), libebook::FictionBook2CoverpageContext::element(), libebook::FictionBook2DescriptionContext::element(), libebook::FictionBook2EmailContext::element(), libebook::FictionBook2EpigraphContext::element(), libebook::FictionBook2GenreContext::element(), libebook::FictionBook2HistoryContext::element(), libebook::FictionBook2HomePageContext::element(), libebook::FictionBook2IdContext::element(), libebook::FictionBook2ImageContext::element(), libebook::FictionBook2IsbnContext::element(), libebook::FictionBook2OutputContext::element(), libebook::FictionBook2OutputDocumentClassContext::element(), libebook::FictionBook2PartContext::element(), libebook::FictionBook2PoemContext::element(), libebook::FictionBook2ProgramUsedContext::element(), libebook::FictionBook2PublishInfoContext::element(), libebook::FictionBook2SectionContext::element(), libebook::FictionBook2SequenceContext::element(), libebook::FictionBook2SrcLangContext::element(), libebook::FictionBook2SrcOcrContext::element(), libebook::FictionBook2SrcTitleInfoContext::element(), libebook::FictionBook2StanzaContext::element(), libebook::FictionBook2StyleContextBase::element(), libebook::FictionBook2TableContext::element(), libebook::FictionBook2TextInfoContext::element(), libebook::FictionBook2TitleContext::element(), libebook::FictionBook2TitleInfoContext::element(), libebook::FictionBook2TranslatorContext::element(), libebook::FictionBook2TrContext::element(), libebook::FictionBook2YearContext::element(), getFictionBook2TokenID(), getFictionBook2TokenID(), getFictionBook2TokenID(), and getFictionBook2TokenID().

## ◆ getFictionBook2TokenID() [4/5]

int libebook::getFictionBook2TokenID | ( | const FictionBook2TokenData *const | token | ) |

## ◆ getFictionBook2TokenID() [5/5]

int libebook::getFictionBook2TokenID | ( | const unsigned char * | str | ) |

## ◆ getFictionBook2TokenName() [1/5]

const char * libebook::getFictionBook2TokenName | ( | const char * | str | ) |

## ◆ getFictionBook2TokenName() [2/5]

const char * libebook::getFictionBook2TokenName | ( | const char * | str,
|  | const unsigned | length )

## ◆ getFictionBook2TokenName() [3/5]

const char * libebook::getFictionBook2TokenName | ( | const FictionBook2TokenData & | token | ) |

Referenced by getFictionBook2TokenName(), getFictionBook2TokenName(), getFictionBook2TokenName(), and getFictionBook2TokenName().

## ◆ getFictionBook2TokenName() [4/5]

const char * libebook::getFictionBook2TokenName | ( | const FictionBook2TokenData *const | token | ) |

## ◆ getFictionBook2TokenName() [5/5]

const char * libebook::getFictionBook2TokenName | ( | const unsigned char * | str | ) |

## ◆ getHTMLTokenId() [1/3]

int libebook::getHTMLTokenId | ( | const char *const | name,
|  | const char *const | ns )

Referenced by getHTMLTokenId(), getHTMLTokenId(), and libebook::EBOOKHTMLParser::parse().

## ◆ getHTMLTokenId() [2/3]

int libebook::getHTMLTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen )

## ◆ getHTMLTokenId() [3/3]

int libebook::getHTMLTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen,
|  | const char *const | ns,
|  | const std::size_t | nsLen )

## ◆ getOPFTokenId() [1/3]

int libebook::getOPFTokenId | ( | const char *const | name,
|  | const char *const | ns )

Referenced by getOPFTokenId(), and getOPFTokenId().

## ◆ getOPFTokenId() [2/3]

int libebook::getOPFTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen )

## ◆ getOPFTokenId() [3/3]

int libebook::getOPFTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen,
|  | const char *const | ns,
|  | const std::size_t | nsLen )

## ◆ getRemainingLength() [1/2]

unsigned long libebook::getRemainingLength | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input | ) |

## ◆ getRemainingLength() [2/2]

unsigned long libebook::getRemainingLength | ( | librevenge::RVNGInputStream *const | input | ) |

Referenced by libebook::SoftBookParser::createTextStream(), getRemainingLength(), libebook::EBOOKOPFParser::parse(), libebook::BBeBParser::readBlockObject(), libebook::PDBParser::readHeader(), libebook::RocketEBookHeader::readHeader(), libebook::BBeBParser::readImageStreamObject(), libebook::BBeBParser::readPageObject(), libebook::BBeBParser::readPageTreeObject(), libebook::BBeBParser::readTextObject(), libebook::BBeBParser::readTOCObject(), libebook::BBeBParser::readToCStream(), libebook::EBOOKHTMLParser::readTreeImpl(), and libebook::XMLStylesheet::XMLStylesheet().

## ◆ getRocketEBookTokenId() [1/3]

int libebook::getRocketEBookTokenId | ( | const char *const | name,
|  | const char *const | ns )

Referenced by getRocketEBookTokenId(), and getRocketEBookTokenId().

## ◆ getRocketEBookTokenId() [2/3]

int libebook::getRocketEBookTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen )

## ◆ getRocketEBookTokenId() [3/3]

int libebook::getRocketEBookTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen,
|  | const char *const | ns,
|  | const std::size_t | nsLen )

## ◆ intrusive_ptr_add_ref()

void libebook::intrusive_ptr_add_ref | ( | XMLTreeNode *const | p | ) |

## ◆ intrusive_ptr_release()

void libebook::intrusive_ptr_release | ( | XMLTreeNode *const | p | ) |

## ◆ makePropertyList() [1/3]

librevenge::RVNGPropertyList libebook::makePropertyList | ( | const FictionBook2BlockFormat & | format | ) |

## ◆ makePropertyList() [2/3]

librevenge::RVNGPropertyList libebook::makePropertyList | ( | const FictionBook2Style & | style | ) |

Referenced by makePropertyList(), libebook::FictionBook2ContentCollector::openParagraph(), libebook::FictionBook2ContentCollector::openSpan(), and libebook::FictionBook2ContentCollector::openTable().

## ◆ makePropertyList() [3/3]

librevenge::RVNGPropertyList libebook::makePropertyList | ( | const FictionBook2TextFormat & | format,
|  | const FictionBook2BlockFormat & | blockFormat )

## ◆ makeXmlReader()

std::unique_ptr< xmlTextReader, void(*)(xmlTextReaderPtr)> libebook::makeXmlReader | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libebook::EBOOKSAXParser::parse(), libebook::EBOOKXMLParser::parse(), and libebook::FictionBook2Parser::parse().

## ◆ operator!=() [1/6]

bool libebook::operator!= | ( | const XMLTreeNode::AttributeData & | lhs,
|  | const XMLTreeNode::AttributeData & | rhs )

## ◆ operator!=() [2/6]

bool libebook::operator!= | ( | const XMLTreeNode::ElementData & | lhs,
|  | const XMLTreeNode::ElementData & | rhs )

## ◆ operator!=() [3/6]

bool libebook::operator!= | ( | const XMLTreeNode::QName & | lhs,
|  | const XMLTreeNode::QName & | rhs )

## ◆ operator!=() [4/6]

bool libebook::operator!= | ( | const XMLTreeWalker::Attribute & | lhs,
|  | const XMLTreeWalker::Attribute & | rhs )

## ◆ operator!=() [5/6]

bool libebook::operator!= | ( | const XMLTreeWalker::AttributeIterator & | lhs,
|  | const XMLTreeWalker::AttributeIterator & | rhs )

## ◆ operator!=() [6/6]

bool libebook::operator!= | ( | const XMLTreeWalker::Iterator & | lhs,
|  | const XMLTreeWalker::Iterator & | rhs )

## ◆ operator==() [1/3]

bool libebook::operator== | ( | const XMLTreeNode::AttributeData & | lhs,
|  | const XMLTreeNode::AttributeData & | rhs )

## ◆ operator==() [2/3]

bool libebook::operator== | ( | const XMLTreeNode::ElementData & | lhs,
|  | const XMLTreeNode::ElementData & | rhs )

## ◆ operator==() [3/3]

bool libebook::operator== | ( | const XMLTreeNode::QName & | lhs,
|  | const XMLTreeNode::QName & | rhs )

## ◆ readCString() [1/2]

std::string libebook::readCString | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input | ) |

## ◆ readCString() [2/2]

std::string libebook::readCString | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libebook::SoftBookHeader::readBookProperties(), and readCString().

## ◆ readNBytes() [1/2]

const unsigned char * libebook::readNBytes | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | numBytes )

## ◆ readNBytes() [2/2]

const unsigned char * libebook::readNBytes | ( | librevenge::RVNGInputStream *const | input,
|  | const unsigned long | numBytes )

Referenced by libebook::SoftBookResourceDirImpl::createStream(), libebook::EBOOKUTF8Stream::EBOOKUTF8Stream(), libebook::SoftBookResourceDirImpl::getDirStream(), libebook::PluckerParser::getUncompressedStream(), libebook::BBeBCollector::insertImage(), libebook::EBOOKOPFParser::parse(), libebook::BBeBParser::readBlockObject(), libebook::RocketEBookHeader::readDirectory(), libebook::SoftBookHeader::readHeader(), libebook::PeanutPressParser::readImage(), libebook::BBeBParser::readImageStreamObject(), libebook::BBeBParser::readMetadata(), readNBytes(), libebook::BBeBParser::readObject(), libebook::BBeBParser::readPageObject(), libebook::TCRParser::readReplacementTable(), libebook::BBeBParser::readTextObject(), libebook::BBeBParser::readTOCObject(), libebook::EBOOKHTMLParser::readTreeImpl(), libebook::TCRParser::TCRParser(), libebook::XMLStylesheet::XMLStylesheet(), and libebook::ZVRParser::ZVRParser().

## ◆ readPascalString() [1/2]

std::string libebook::readPascalString | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input | ) |

## ◆ readPascalString() [2/2]

std::string libebook::readPascalString | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by readPascalString().

## ◆ readU16() [1/2]

uint16_t libebook::readU16 | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian )

## ◆ readU16() [2/2]

uint16_t libebook::readU16 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian )

Referenced by libebook::SoftBookParser::createTextStream(), libebook::SoftBookResourceDirImpl::findResourceByType(), libebook::PluckerParser::readAppInfoRecord(), libebook::BBeBParser::readAttribute(), libebook::BBeBParser::readBlockAtrObject(), libebook::BBeBParser::readBlockObject(), libebook::BBeBParser::readBookAtrObject(), libebook::PluckerParser::readDataRecords(), libebook::BBeBParser::readHeader(), libebook::PDBParser::readHeader(), libebook::RocketEBookHeader::readHeader(), libebook::SoftBookHeader::readHeader(), libebook::BBeBParser::readImageObject(), libebook::BBeBParser::readImageStreamObject(), libebook::PalmDocParser::readIndexRecord(), libebook::PeanutPressParser::readIndexRecord(), libebook::PluckerParser::readIndexRecord(), libebook::TealDocParser::readIndexRecord(), libebook::ZTXTParser::readIndexRecord(), libebook::PluckerParser::readMetadata(), libebook::BBeBParser::readObject(), libebook::BBeBParser::readPageAtrObject(), libebook::BBeBParser::readPageObject(), libebook::BBeBParser::readPageTreeObject(), libebook::BBeBParser::readParagraphAtrObject(), libebook::BBeBParser::readTextAtrObject(), libebook::BBeBParser::readTextObject(), libebook::BBeBParser::readTOCObject(), readU16(), and libebook::BBeBParser::skipUnhandledTag().

## ◆ readU32() [1/2]

uint32_t libebook::readU32 | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian )

## ◆ readU32() [2/2]

uint32_t libebook::readU32 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian )

Referenced by libebook::SoftBookParser::createTextStream(), libebook::PluckerParser::readAppInfoRecord(), libebook::BBeBParser::readAttribute(), libebook::BBeBParser::readBlockObject(), libebook::BBeBParser::readBookAtrObject(), libebook::RocketEBookHeader::readDirectory(), libebook::BBeBParser::readHeader(), libebook::PDBParser::readHeader(), libebook::RocketEBookHeader::readHeader(), libebook::SoftBookHeader::readHeader(), libebook::BBeBParser::readImageObject(), libebook::PalmDocParser::readIndexRecord(), libebook::TealDocParser::readIndexRecord(), libebook::ZTXTParser::readIndexRecord(), libebook::BBeBParser::readObject(), libebook::BBeBParser::readObjectIndex(), libebook::BBeBParser::readPageObject(), libebook::BBeBParser::readPageTreeObject(), libebook::BBeBParser::readTextObject(), libebook::BBeBParser::readTOCObject(), libebook::BBeBParser::readToCStream(), readU32(), and libebook::SoftBookResourceDirImpl::SoftBookResourceDirImpl().

## ◆ readU64() [1/2]

uint64_t libebook::readU64 | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian )

## ◆ readU64() [2/2]

uint64_t libebook::readU64 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian )

Referenced by libebook::BBeBParser::readHeader(), and readU64().

## ◆ readU8() [1/2]

uint8_t libebook::readU8 | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | bool | )

## ◆ readU8() [2/2]

uint8_t libebook::readU8 | ( | librevenge::RVNGInputStream * | input,
|  | bool | )

Referenced by libebook::EBOOKBitStream::fill(), getRemainingLength(), libebook::SoftBookText::parse(), libebook::TealDocTextParser::parse(), libebook::TealDocTextParser::parseTag(), readCString(), libebook::PalmDocParser::readDataRecord(), libebook::TealDocParser::readDataRecord(), libebook::ZTXTParser::readDataRecord(), libebook::PluckerParser::readDataRecords(), libebook::PDBParser::readHeader(), libebook::PeanutPressParser::readImage(), libebook::PluckerParser::readImage(), libebook::PeanutPressParser::readImages(), readPascalString(), libebook::TCRParser::readReplacementTable(), libebook::ZVRParser::readReplacementTable(), readU8(), libebook::BBeBParser::skipUnhandledTag(), libebook::TCRParser::uncompress(), libebook::ZVRParser::uncompress(), libebook::TCRParser::writeText(), and libebook::ZVRParser::writeText().

## ◆ seek() [1/2]

void libebook::seek | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | pos )

## ◆ seek() [2/2]

void libebook::seek | ( | librevenge::RVNGInputStream *const | input,
|  | const unsigned long | pos )

Referenced by libebook::SoftBookParser::createTextStream(), getRemainingLength(), libebook::RocketEBookHeader::readDirectory(), libebook::BBeBParser::readToCStream(), and seek().

## ◆ seekRelative() [1/2]

void libebook::seekRelative | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const long | pos )

## ◆ seekRelative() [2/2]

void libebook::seekRelative | ( | librevenge::RVNGInputStream *const | input,
|  | const long | pos )

Referenced by seekRelative(), and skip().

## ◆ skip() [1/2]

void libebook::skip | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | numBytes )

## ◆ skip() [2/2]

void libebook::skip | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | numBytes )

Referenced by libebook::SoftBookParser::createTextStream(), libebook::SoftBookParser::getFileStream(), libebook::PluckerParser::readDataRecords(), libebook::BBeBParser::readHeader(), libebook::PDBParser::readHeader(), libebook::RocketEBookHeader::readHeader(), libebook::SoftBookHeader::readHeader(), libebook::PeanutPressParser::readImage(), libebook::BBeBParser::readImageObject(), libebook::PalmDocParser::readIndexRecord(), libebook::PeanutPressParser::readIndexRecord(), libebook::TealDocParser::readIndexRecord(), libebook::BBeBParser::readMetadata(), libebook::BBeBParser::readObjectIndex(), libebook::BBeBParser::readTextObject(), libebook::BBeBParser::readTOCObject(), skip(), libebook::BBeBParser::skipUnhandledTag(), and libebook::SoftBookResourceDirImpl::SoftBookResourceDirImpl().

## ◆ wrap() [1/5]

CSSSelectCtxPtr_t libebook::wrap | ( | css_select_ctx *const | p | ) |

## ◆ wrap() [2/5]

CSSSelectResultsPtr_t libebook::wrap | ( | css_select_results *const | p | ) |

## ◆ wrap() [3/5]

CSSStylesheetPtr_t libebook::wrap | ( | css_stylesheet *const | p | ) |

## ◆ wrap() [4/5]

HUBBUBParserPtr_t libebook::wrap | ( | hubbub_parser *const | p | ) |

Referenced by libebook::XMLStylesheet::get(), and libebook::XMLTreeWalker::getStyle().

## ◆ wrap() [5/5]

LWCStringPtr_t libebook::wrap | ( | lwc_string *const | p | ) |

## Variable Documentation

## ◆ PALMDOC_CREATOR

const unsigned libebook::PALMDOC_CREATOR = PDB_CODE("REAd")
| static

Referenced by libebook::PalmDocParser::checkType(), and libebook::PalmDocParser::PalmDocParser().

## ◆ PALMDOC_TYPE

const unsigned libebook::PALMDOC_TYPE = PDB_CODE("TEXt")
| static

Referenced by libebook::PalmDocParser::checkType(), and libebook::PalmDocParser::PalmDocParser().

## ◆ ZTXT_CREATOR

const uint32_t libebook::ZTXT_CREATOR = PDB_CODE("GPlm")
| static

Referenced by libebook::ZTXTParser::checkType(), and libebook::ZTXTParser::ZTXTParser().

## ◆ ZTXT_TYPE

const uint32_t libebook::ZTXT_TYPE = PDB_CODE("zTXT")
| static

Referenced by libebook::ZTXTParser::checkType(), and libebook::ZTXTParser::ZTXTParser().